﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.IO;
using System.Xml;
namespace RSSReader
{
    class C_RssRead
    {
        public String[,] GetRssData(string Channel)
        {
            WebRequest myRequest = WebRequest.Create(Channel);
            WebResponse myResponse = myRequest.GetResponse();

            Stream RssStream = myResponse.GetResponseStream();
            XmlDocument RssDoc = new XmlDocument();
            RssDoc.Load(RssStream);

            XmlNodeList RssItems = RssDoc.SelectNodes("rss/channel/item");

            String[,] TempRssData = new String[200, 3];
            for (int i = 0; i < RssItems.Count; i++)
            {
                XmlNode RssNode;
                RssNode = RssItems.Item(i).SelectSingleNode("title");
                if (RssNode != null)
                {
                    TempRssData[i, 0] = RssNode.InnerText;
                }

                else
                {
                    TempRssData[i, 0] = "";
                }

                RssNode = RssItems.Item(i).SelectSingleNode("description");
                if (RssNode != null)
                {
                    TempRssData[i, 1] = RssNode.InnerText;
                }

                else
                {
                    TempRssData[i, 1] = "";
                }


                RssNode = RssItems.Item(i).SelectSingleNode("link");
                if (RssNode != null)
                {
                    TempRssData[i, 2] = RssNode.InnerText;
                }

                else
                {
                    TempRssData[i, 2] = "";
                }

            }

            return TempRssData;

        }

      
    }
}
